[match_useragents]
# !!! WARNING: order _is_ important here. !!!

# iCab
match_useragent = "^Mozilla/\d+\.\d+ \(compatible; iCab ([^;]); ([^;]); [NUI]; ([^;])\)",iCab $1;$2 $3

# Opera
match_useragent = "^Opera/(\d+\.\d+) \(([^;]+); [^)]+\)",Opera $1;$2
match_useragent = "^Mozilla/\d+\.\d+ \(compatible; MSIE [^;]+; ([^)]+)\) Opera (\d+\.\d+)",Opera $2;$1
match_useragent = "^Mozilla/\d+\.\d+ \(([^;]+); [^)]+\) Opera (\d+\.\d+)",Opera $2;$1

# MSIE
match_useragent = "^Mozilla/[1-9]\.0 ?\(compatible; MSIE ([1-9]\.[0-9b]+);(?: ?[^;]+;)*? (Mac_[^;)]+|Windows [^;)]+)(?:; [^;]+)*\)",MSIE $1;$2

# Galeon
match_useragent = "^Mozilla/\d+\.\d+ \([^;]+; [NIU]; ([^;]+); [^;]+; Galeon\) Gecko/\d{8}$",Galeon;$1
match_useragent = "^Mozilla/\d+\.\d+ \([^;]+; [NIU]; Galeon; [^;]+; ([^;)]+)\)$",Galeon $1;
match_useragent = "^Mozilla/\d+\.\d+ Galeon/([0-9.]+) \(([^;)]+)\) Gecko/\d{8}$",Galeon $1;$2

# Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a) Gecko/20030728 Mozilla Firebird/0.6.1
# Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030908 Epiphany/1.0
match_useragent = "^Mozilla/\d+\.\d+ \([^;]+; [NIU]; ([^;]+); [^;]+; rv:[^;]+(?:; [^;]+)*\) Gecko/\d{8} ([a-zA-Z ]+/[0-9.b]+)",$2;$1

# Mozilla
match_useragent = "^Mozilla/\d+\.\d+ \([^;]+; [NIU]; ([^;]+); [^;]+; rv:([^;]+)(?:; [^;]+)*\) Gecko/\d{8}$",Mozilla $2;$1
match_useragent = "^Mozilla/\d+\.\d+ \([^;]+; [NIU]; ([^;]+); [^;]+; (m\d+)(?:; [^;]+)*\) Gecko/\d{8}$",Mozilla $2;$1
match_useragent = "^Mozilla/\d+\.\d+ \([^;]+; [NIU]; ([^;]+)(?:; [^;]+)*\) Mozilla/(.+)$",Mozilla $2;$1

# Netscape 4.x
match_useragent = "^Mozilla/4\.(\d+)[^(]+\(X11; [NIU] ?; ([^;]+)(?:; [^;]+)*\)",Netscape 4.$1;$2
match_useragent = "^Mozilla/4\.(\d+)[^(]+\((OS/2|Linux|Macintosh|Win[^;]*)[;,] [NUI] ?[^)]*\)",Netscape 4.$1;$2

# Netscape 3.x
match_useragent = "^Mozilla/3\.(\d+)\S*[^(]+\(X11; [NIU] ?; ([^;]+)(?:; [^;)]+)*\)",Netscape 3.$1;$2
match_useragent = "^Mozilla/3\.(\d+)\S*[^(]+\(([^;]+); [NIU] ?(?:; [^;)]+)*\)",Netscape 3.$1;$2

# Netscape 2.x
match_useragent = "^Mozilla/2\.(\d+)\S*[^(]+\(([^;]+); [NIU] ?(?:; [^;)]+)*\)",Netscape 2.$1;$2

# Netscape
match_useragent = "^Mozilla \(X11; [NIU] ?; ([^;)]+)\)",Netscape;$1


# Staroffice
match_useragent = "^Mozilla/3.0 \(compatible; StarOffice/(\d+)\.\d+; ([^)]+)\)$",StarOffice $1;$2

# ELinks
match_useragent = "^ELinks \((.+); (.+); .+\)$",ELinks $1;$2

# NetPositive
match_useragent = "^Mozilla/3\.0 \(compatible; NetPositive/([0-9.]+); BeOS\)$",NetPositive $1;BeOS

# Konqueror
match_useragent = "^Konqueror/(\S+)$",Konqueror $1;
match_useragent = "^Mozilla/5\.0 \(compatible; Konqueror/([^;]); ([^)]+)\).*$",Konqueror $1;$2

# Lynx
match_useragent = "^Lynx/(\S+)",Lynx/$1;

# specials
match_useragent = "^Mozilla/4.0 WebTV/(\d+\.\d+) \(compatible; MSIE 4.0\)$",WebTV $1;
match_useragent = "^Mozilla/4.0 \(compatible; MSIE 5.0; (Win98 A); (ATHMWWW1.1); MSOCD;\)$",$2;$1
match_useragent = "^(RMA/1.0) \(compatible; RealMedia\)$",$1;
match_useragent = "^antibot\D+([0-9.]+)/(\S+)",antibot $1;$2

# generic
match_useragent = "^Mozilla/[1-9]\.\d+ \(compatible; ([^;]+); ([^)]+)\)$",$1;$2
match_useragent = "^Mozilla/([1-9]\.\d+)",compatible Mozilla/$1;
match_useragent = "^([^;]+)$",$1;
